Bug 1784577

Summary: Review Request: chatterino2 - Chat client for twitch.tv
Product: [Fedora] Fedora Reporter: Artem <ego.cordatus>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-04 20:32:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Artem 2019-12-17 18:24:11 UTC
Spec URL: https://atim.fedorapeople.org/for-review/chatterino2.spec
SRPM URL: https://atim.fedorapeople.org/for-review/chatterino2-2.1.4-4.fc31.src.rpm

Description:
Chatterino 2 is the second installment of the Twitch chat client series "Chatterino".


Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/chatterino2

Comment 3 Robert-André Mauchin 🐧 2019-12-19 22:03:06 UTC
 - Requires: hicolor-icon-theme  to own icons directory

 - You need to push upstream for unbundling. Also using forks is not good either since fixes and notably security fixes from upstream won't be included.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "BSD 3-clause "New" or
     "Revised" License", "Expat License JSON License JSON BSD 3-clause
     "New" or "Revised" License", "*No copyright* Boost Software License
     (v1.0) Boost Software License 1.0", "BSD 2-clause "Simplified"
     License", "zlib/libpng license Aladdin Free Public License", "Mozilla
     Public License (v1.1) GNU General Public License (v2 or later) or GNU
     Lesser General Public License (v2.1 or later)". 1161 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/chatterino2/review-
     chatterino2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: chatterino2-2.1.4-6.fc32.x86_64.rpm
          chatterino2-debuginfo-2.1.4-6.fc32.x86_64.rpm
          chatterino2-debugsource-2.1.4-6.fc32.x86_64.rpm
          chatterino2-2.1.4-6.fc32.src.rpm
chatterino2.x86_64: W: spelling-error Summary(en_US) tv -> TV, t, v
chatterino2.x86_64: W: spelling-error %description -l en_US Chatterino -> Chattering, Chatterton, Chatterer
chatterino2.x86_64: W: no-manual-page-for-binary chatterino
chatterino2.src: W: spelling-error Summary(en_US) tv -> TV, t, v
chatterino2.src: W: spelling-error %description -l en_US Chatterino -> Chattering, Chatterton, Chatterer
chatterino2.src:106: W: unversioned-explicit-provides bundled(fmt)
chatterino2.src:107: W: unversioned-explicit-provides bundled(humanize)
chatterino2.src:110: W: unversioned-explicit-provides bundled(serialize)
chatterino2.src:111: W: unversioned-explicit-provides bundled(settings)
chatterino2.src:112: W: unversioned-explicit-provides bundled(signals)
chatterino2.src:146: W: macro-in-comment %{_includedir}
chatterino2.src:156: W: rpm-buildroot-usage %build PREFIX=%{buildroot}%{_prefix}   \
4 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 4 Artem 2019-12-20 17:45:31 UTC
>  - You need to push upstream for unbundling. Also using forks is not good
> either since fixes and notably security fixes from upstream won't be
> included.

I trying, some progress, but 'fmt' in repos >= 5.3 so this is useless :(
https://github.com/Chatterino/chatterino2/issues/1444#issuecomment-567679616


https://copr-be.cloud.fedoraproject.org/results/atim/chatterino2/fedora-rawhide-x86_64/01133706-chatterino2/chatterino2.spec

https://copr-be.cloud.fedoraproject.org/results/atim/chatterino2/fedora-rawhide-x86_64/01133706-chatterino2/chatterino2-2.1.4-7.fc32.src.rpm

Comment 5 Robert-André Mauchin 🐧 2019-12-20 18:54:11 UTC
What about websocketpp? It is packaged in Fedora.

Comment 6 Artem 2019-12-20 19:09:56 UTC
They using patched version of websocketpp
https://github.com/ziocleto/websocketpp

Comment 7 Robert-André Mauchin 🐧 2019-12-20 20:27:59 UTC
Can't that be upstreamed?

Gonna approve for now but you need to work with upstream for the unbundling.

Comment 8 Gwyn Ciesla 2019-12-20 21:17:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/chatterino2

Comment 9 Fedora Update System 2019-12-20 22:04:35 UTC
FEDORA-2019-8139b22c6b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8139b22c6b

Comment 10 Fedora Update System 2019-12-20 22:19:57 UTC
FEDORA-2019-cde69bbd17 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cde69bbd17

Comment 11 Fedora Update System 2019-12-21 01:27:09 UTC
chatterino2-2.1.4-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cde69bbd17

Comment 12 Fedora Update System 2019-12-21 01:41:43 UTC
chatterino2-2.1.4-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8139b22c6b

Comment 13 Fedora Update System 2020-01-04 20:32:52 UTC
chatterino2-2.1.4-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-01-04 22:15:29 UTC
chatterino2-2.1.4-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.